<?php
protected function getViewTree($repo, $entry, $revision)
{
    return $this->loadExtension('devops')->getViewTree($repo, $entry, $revision);
}

protected function getNotExistRepos($server)
{
    return $this->loadExtension('devops')->getNotExistRepos($server);
}

protected function getFilesInfo($repo, $path, $branchID, $base64BranchID, $objectID)
{
    return $this->loadExtension('devops')->getFilesInfo($repo, $path, $branchID, $base64BranchID, $objectID);
}

protected function getGitfoxProjects($gitfoxID, $projectIdList = '', $filter = '')
{
    return $this->loadExtension('devops')->getGitfoxProjects($gitfoxID, $projectIdList, $filter);
}

public function setBranchTag($repo, $branchID)
{
    return $this->loadExtension('devops')->setBranchTag($repo, $branchID);
}

public function buildWebhook($webhookFormData, $repo, $editWebhook = null)
{
    return $this->loadExtension('devops')->buildWebhook($webhookFormData, $repo, $editWebhook);
}

public function buildRuleListData($repo)
{
    return $this->loadExtension('devops')->buildRuleListData($repo);
}

public function getPipelineList($repoID)
{
    return $this->loadExtension('devops')->getPipelineList($repoID);
}

public function buildRuleData($repo, $data)
{
    return $this->loadExtension('devops')->buildRuleData($repo, $data);
}

public function getProjectMembers($repo)
{
    return $this->loadExtension('devops')->getProjectMembers($repo);
}
public function parseRuleID($ruleID)
{
    return $this->loadExtension('devops')->parseRuleID($ruleID);
}
public function buildSystemSearchForm($queryID, $actionURL)
{
    return $this->loadExtension('devops')->buildSystemSearchForm($queryID, $actionURL);
}
public function getSystemSearchQuery($queryID)
{
    return $this->loadExtension('devops')->getSystemSearchQuery($queryID);
}
